Debian Bug report logs - #413483
FTBFS with GCC 4.3: 'INT_MAX' was not declared in this scope

version graph

Package: brutalchess; Maintainer for brutalchess is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for brutalchess is src:brutalchess.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 5 Mar 2007 11:57:01 UTC

Severity: important

Tags: patch

Found in version brutalchess/0.5+dfsg-1

Fixed in version brutalchess/0.5.2+dfsg-1

Done: Gürkan Sengün <gurkan@linuks.mine.nu>

Bug is archived. No further changes may be made.

Forwarded to gauntalus@users.sourceforge.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#413483; Package brutalchess. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: 'INT_MAX' was not declared in this scope
Date: Mon, 5 Mar 2007 11:54:37 +0000
Package: brutalchess
Version: 0.5+dfsg-1
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  A patch for this problem is
below.

> Automatic build of brutalchess_0.5+dfsg-1 on coconut0 by sbuild/ia64 0.49
...
> if ia64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.     -Wall -g -O2  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/freetype2 -MT brutalplayer.o -MD -MP -MF ".deps/brutalplayer.Tpo" -c -o brutalplayer.o brutalplayer.cpp; \
> 	then mv -f ".deps/brutalplayer.Tpo" ".deps/brutalplayer.Po"; else rm -f ".deps/brutalplayer.Tpo"; exit 1; fi
> In file included from bitboard.h:12,
>                  from board.h:16,
>                  from brutalplayer.cpp:9:
> boardposition.h:101: warning: type qualifiers ignored on function return type
> boardposition.h:102: warning: type qualifiers ignored on function return type
> boardposition.h:103: warning: type qualifiers ignored on function return type
> boardposition.h:104: warning: type qualifiers ignored on function return type
> boardposition.h:105: warning: type qualifiers ignored on function return type
> boardposition.h:106: warning: type qualifiers ignored on function return type
> boardposition.h:107: warning: type qualifiers ignored on function return type
> boardposition.h:108: warning: type qualifiers ignored on function return type
> In file included from boardmove.h:17,
>                  from board.h:17,
>                  from brutalplayer.cpp:9:
> piece.h: In constructor 'Piece::Piece(Piece::Color, Piece::Type)':
> piece.h:62: warning: 'Piece::m_color' will be initialized after
> piece.h:60: warning:   'Piece::Type Piece::m_type'
> piece.h:36: warning:   when initialized here
> In file included from board.h:17,
>                  from brutalplayer.cpp:9:
> boardmove.h: At global scope:
> boardmove.h:46: warning: type qualifiers ignored on function return type
> boardmove.h:56: warning: type qualifiers ignored on function return type
> brutalplayer.cpp: In member function 'virtual void BrutalPlayer::think(const ChessGameState&)':
> brutalplayer.cpp:29: error: 'INT_MAX' was not declared in this scope
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> brutalplayer.cpp: In member function 'int BrutalPlayer::search(Board, Piece::Color, int, int, int, BoardMove&)':
> brutalplayer.cpp:37: error: 'INT_MAX' was not declared in this scope
> brutalplayer.cpp:42: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp: In member function 'int BrutalPlayer::evaluateBoard(const Board&, Piece::Color)':
> brutalplayer.cpp:90: warning: enumeration value 'NOTYPE' not handled in switch
> brutalplayer.cpp:135: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp:138: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp:141: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp:144: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp:147: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp:150: warning: comparison between signed and unsigned integer expressions
> brutalplayer.cpp: In member function 'int BrutalPlayer::knightBonus(const BoardPosition&, const Board&, Piece::Color, bool)':
> brutalplayer.cpp:205: warning: unused variable 'drivenBonus'
> board.h: At global scope:
> board.h:246: warning: 'pow2' defined but not used
> make[3]: *** [brutalplayer.o] Error 1

--- src/brutalplayer.cpp~	2007-03-05 11:44:48.000000000 +0000
+++ src/brutalplayer.cpp	2007-03-05 11:45:01.000000000 +0000
@@ -10,6 +10,7 @@
 #include "chessplayer.h"
 #include "options.h"
 
+#include <climits>
 #include <vector>
 #include <time.h>
 

-- 
Martin Michlmayr
http://www.cyrius.com/



Noted your statement that Bug has been forwarded to gauntalus@users.sourceforge.net. Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#413483; Package brutalchess. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #12 received at 413483@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 413483@bugs.debian.org
Subject: Background for this bug
Date: Thu, 5 Apr 2007 09:22:30 +0200
Here is an explanation for this problem which you can forward upstream
along with the patch.

In GCC 4.3, the C++ header dependencies have been cleaned up.  The
advantage of this is that programs will compile faster.  The downside
is that you actually need to directly #include everything you use (but
you really should do this anyway, otherwise your program won't work
with any compiler other than GCC).  Some background of this can be
found at http://gcc.gnu.org/PR28080

For the maintainer: You can reproduce this problem with gcc-snapshot
(20070326-1 or higher) from unstable. (Currently not available for
i386, but for amd64, powerpc and ia64.  I hope to have i386 binaries
in the archive in ~3 weeks.)  In any case, the patch I sent is tested.
-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:36:37 GMT) Full text and rfc822 format available.

Reply sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 413483-close@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 413483-close@bugs.debian.org
Subject: Bug#413483: fixed in brutalchess 0.5.2+dfsg-1
Date: Sat, 12 Jan 2008 15:02:03 +0000
Source: brutalchess
Source-Version: 0.5.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
brutalchess, which is due to be installed in the Debian FTP archive:

brutalchess_0.5.2+dfsg-1.diff.gz
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1.diff.gz
brutalchess_0.5.2+dfsg-1.dsc
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1.dsc
brutalchess_0.5.2+dfsg-1_amd64.deb
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg-1_amd64.deb
brutalchess_0.5.2+dfsg.orig.tar.gz
  to pool/main/b/brutalchess/brutalchess_0.5.2+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 413483@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gürkan Sengün <gurkan@linuks.mine.nu> (supplier of updated brutalchess package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 11:38:32 +0100
Source: brutalchess
Binary: brutalchess
Architecture: source amd64
Version: 0.5.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Gürkan Sengün <gurkan@linuks.mine.nu>
Description: 
 brutalchess - 3d chess with reflection of the chessmen
Closes: 409486 413483 427341 439236
Changes: 
 brutalchess (0.5.2+dfsg-1) unstable; urgency=low
 .
   * New upstream version. (Closes: #427341)
 .
   [Fathi Boudra]
   * Add alternative dependency on ttf-dejavu. (Closes: #439236)
   * Add patch to fix ftbfs with gcc-4.2. (Closes: #409486)
   * Add patch to fix ftbfs with gcc-4.3. (Closes: #413483)
   * Merge desktop file from Ubuntu.
   * Use quilt patch system.
   * Add quilt, automake1.9, libtool, libxmu-dev and libxi-dev build
     dependencies.
   * Use Homepage field.
   * Bump Standard-Version to 3.7.3.
   * Build with --no-undefined and --as-needed linker flags.
Files: 
 df954670a23433437d036645bf55691f 874 games optional brutalchess_0.5.2+dfsg-1.dsc
 06b8c5be855ca58c7b908ab34519e4ea 4422227 games optional brutalchess_0.5.2+dfsg.orig.tar.gz
 c9d22888a19a2fd822a41f81964f98e0 20321 games optional brutalchess_0.5.2+dfsg-1.diff.gz
 b7ddf5c74df1d0543eb2a77590c3b502 4994752 games optional brutalchess_0.5.2+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR4jTZIz1NfZqpXL3AQK+gwP/btAxDa/2amNGaWsnTd+rVq2ZNh5gTcMu
C46NuLvqqtjKrr8p9PaTGDhYZsm14c/Gz5XBv+DNX375ldwxUbz/9EU5ByW93cfq
J73p7e7igKf58o7u6ghmLPukRYfDBSpVma99r4MEGezAZ+zXIJZAKYErJg1aChAD
A6wm3ihx69w=
=dMb2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Mar 2008 07:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:22:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.